 function [A] = Cchol (A) 
%---------------------------------------------
% function [A] = ldlt (A) 
% performs cholesky factorization of A
% returns a low. triang. matrix.
%---------------------------------------------
 n = size(A,1) ;
 for j=1:n
   for k=1:j-1
     A(j:n,j)=A(j:n,j)-A(j:n,k)*A(j,k); 
   end
   A(j,j) = sqrt(A(j,j));
   A(j+1:n,j) = A(j+1:n,j)/A(j,j);
 end  
 A = tril(A); 
