  function x = backsolv(U,b,p) 
%----------------------------------
%% uses p-digit arithmetic 
% function x = backsolv(U,b) 
% Solves an upper triangular system
% by back-substitution. 
%----------------------------------
 n = size(U,1); x = zeros(n,1); 
 for i=n:-1:1
     x(i) = chop( b(i) -  chop( U(i,i+1:n)*x(i+1:n), p)  , p) 
     x(i) = chop( x(i) / U(i,i), p) ; 
 end 

