 function [L,U] = kji(A) 
%---------------------------------------------
% function [L,U] = kji (A) 
% LU factorization of A. Uses kji variant of GE
%---------------------------------------------
n = size(A,1) ;
for k=1:n-1
    for i=k+1:n
        A(i,k) = A(i,k)/A(k,k);
    end     
    for j=k+1:n
        A(k+1:n,j) = A(k+1:n,j)-A(k,j)*A(k+1:n,k);
    end
end 
 L = diag(ones(n,1)) + tril(A,-1);
 U = triu(A);
