function [L, U, P] = luP (A)
%---------------------------------------------------
%%function [A, P] = gauss (A)
% LU factorization with partial pivoting
%---------------------------------------------------
 n = size(A,1) ;
%%% initialize permutation
 P = [1:n];    
 for k=1:n-1 
   [t, ip] = max(abs(A(k:n,k))); 
   ip = ip+k-1 
%% swap 
    temp = A(k,1:n) ;
    A(k,1:n) =  A(ip,1:n); 
    A(ip,1:n) = temp;
%% update permutation (swap .. )
    i = P(k); P(k) = P(ip); P(ip) = i;
%% elimination
    for i=k+1:n
      piv = A(i,k) / A(k,k) ;
      A(i,k) = piv ;
      A(i,k+1:n) = A(i,k+1:n) - piv*A(k,k+1:n);
    end
      P
      A
    pause 
 end 
 L = eye(n) + tril(A,-1);
 U = triu(A);

