function [A,Q1] = qrit(A, nit)
%% [A,Q1] = qrit(A, nit)
%% nit iterations of QR... 
n = size(A,1);
Q1 = eye(length(A));
for i=1:nit
  shift = A(n,n);
  [Q,R] = qr(A - shift*eye(n)); 
  A = R*Q + shift*eye(n); 
%%
%% accumulate the Q's
%%
  Q1 = Q1*Q;
end
