%%---------- illustrate sparse command
n  = 100;
ii = [1:n] ;
jj = randperm(n);
a  = randn(n,1); 
%%---------- create matrix with 1 random 
%%           nonzero entry per row.
A = sparse(ii,jj,a) ;
figure(1) ;
spy(A);
pause ;
close;
%%---------- create another matrix from A
B = A+A';
B = B*B';
figure(2) 
spy(B);
pause ;
close ;
%%---------- Conjecture: B is a hidden tridiagonal
p = symrcm(B);
C = B(p,p);
figure(3)
spy(C);
pause ;

